voxelibre-volume-file-is-present:
  file.managed:
    - name: /etc/containers/systemd/voxelibre.volume
    - source: salt://voxelibre/voxelibre.volume.jinja
    - template: jinja

voxelibre-container-file-is-present:
  file.managed:
    - name: /etc/containers/systemd/voxelibre.container
    - source: salt://voxelibre/voxelibre.container.jinja
    - template: jinja

reload-systemd-units-onchange-of-voxelibre-container-unit-file:
  module.wait:
    - service.systemctl_reload:
    - watch:
      - file: voxelibre-container-file-is-present

voxelibre-service-running:
  service.running:
    - name: voxelibre
    - watch:
        - module: reload-systemd-units-onchange-of-voxelibre-container-unit-file
